// src/Elecciones.Core/DTOs/ResultadosDto.cs
using System.Text.Json.Serialization;

namespace Elecciones.Core.DTOs;

public class ResultadosDto
{
    [JsonPropertyName("fechaTotalizacion")]
    public string FechaTotalizacion { get; set; } = null!;

    [JsonPropertyName("estadoRecuento")]
    public EstadoRecuentoDto EstadoRecuento { get; set; } = null!;

    [JsonPropertyName("valoresTotalizadosPositivos")]
    public List<VotosPositivosDto> ValoresTotalizadosPositivos { get; set; } = [];

    [JsonPropertyName("valoresTotalizadosOtros")]
    public VotosOtrosDto? ValoresTotalizadosOtros { get; set; }
}